Holger's Java API

## com.antelmann.math
Enum RelationalOperator

    java.lang.Object
      java.lang.Enum<RelationalOperator>
          com.antelmann.math.RelationalOperator

All Implemented Interfaces:
  Serializable, Comparable<RelationalOperator>

    public enum RelationalOperator

extends Enum<RelationalOperator>

a relational operator allowing to combine two expressions to produce a boolean value

Since:
  11.12.2010, 13:50:04
Author:
  Holger Antelmann

Enum Constant Summary
`EQUAL`
`GREATER`
`GREATER_OR_EQUAL`
`LESSER`
`LESSER_OR_EQUAL`
`NON_EQUAL`

Method Summary
`static RelationalOperator` `fromString(String symbol)`
`String` `getSymbol()`
`static boolean` `isOperatorString(String str)`

`

`<T extends Comparable<? super T>> boolean`

`

`isTrueFor(T arg1, T arg2)`

`

`<T> boolean`

`

`isTrueFor(T arg1, T arg2, Comparator<? super T> comp)`

`boolean` `isTrueForCompareValue(int c)`
`static RelationalOperator` `scanNext(String str)`
`static boolean` `startsWithOperator(String str)`
`String` `toString()`
`static RelationalOperator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RelationalOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL

    public static final RelationalOperator EQUAL

### NON_EQUAL

    public static final RelationalOperator NON_EQUAL

### GREATER

    public static final RelationalOperator GREATER

### GREATER_OR_EQUAL

    public static final RelationalOperator GREATER_OR_EQUAL

### LESSER

    public static final RelationalOperator LESSER

### LESSER_OR_EQUAL

    public static final RelationalOperator LESSER_OR_EQUAL

Method Detail

### values

    public static RelationalOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RelationalOperator c : RelationalOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RelationalOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### scanNext

    public static RelationalOperator scanNext(String str)

### startsWithOperator

    public static boolean startsWithOperator(String str)

### isOperatorString

    public static boolean isOperatorString(String str)

### fromString

    public static RelationalOperator fromString(String symbol)
                                         throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getSymbol

    public String getSymbol()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<RelationalOperator>`

### isTrueFor

    public <T extends Comparable<? super T>> boolean isTrueFor(T arg1,
                                                               T arg2)

### isTrueFor

    public <T> boolean isTrueFor(T arg1,
                                 T arg2,
                                 Comparator<? super T> comp)

### isTrueForCompareValue

    public boolean isTrueForCompareValue(int c)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads